Bug 1236077 - lilypond Nimbus fonts have poor kerning on F22
Summary: lilypond Nimbus fonts have poor kerning on F22
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lilypond
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-26 13:20 UTC by Milan Bouchet-Valat
Modified: 2015-09-24 08:25 UTC (History)
3 users (show)

Fixed In Version: 2.19.27-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 08:25:02 UTC


Attachments (Terms of Use)

Description Milan Bouchet-Valat 2015-06-26 13:20:15 UTC
Since I upgraded to F22, the R statistical environment started producing ugly SVG plots. After some research I realized this was due to it using (via Pango and Cairo) the Nimbus Sans L font from lilypond-nimbus-fonts, instead of the version from the urw-fonts package.

I honestly don't know what's the difference between these fonts, but I wonder whether lilypond could use (and depend on) urw-fonts instead? Or at least fix the kerning issue? (I'm CCind the maintainer of urw-fonts.)


For reference, the issue can be reproduced with the following commands in R:
svg("test.svg", pointsize=8, family="Nimbus Sans L")
plot(1:100, main="A jsdkfjkm mj ", ylab="jkjlk  ghgk ")
dev.off()

One can set FC_DEBUG=1 when starting R to see how the font is selected. After removing the lilypond-nimbus-fonts package, the text becomes much nicer.

Comment 1 Gwyn Ciesla 2015-09-01 19:20:06 UTC
See if the latest lilypond helps correct this, as the version currently on it's way to updates-testing removes the nimbus fonts.

Comment 2 Fedora Update System 2015-09-11 23:44:32 UTC
lilypond-2.19.26-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15672

Comment 3 Fedora Update System 2015-09-13 04:20:04 UTC
lilypond-2.19.26-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lilypond'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15672

Comment 4 Fedora Update System 2015-09-14 18:25:06 UTC
lilypond-2.19.27-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15851

Comment 5 Milan Bouchet-Valat 2015-09-14 20:16:09 UTC
I can confirm this fixes the bug.

Comment 6 Fedora Update System 2015-09-15 22:56:32 UTC
lilypond-2.19.27-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lilypond'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15851

Comment 7 Fedora Update System 2015-09-24 08:25:00 UTC
lilypond-2.19.27-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.